﻿using FluentValidation;
using Hotline.Orders;
using Hotline.Share.Dtos.Order;

namespace Hotline.Application.Contracts.Validators.Order;

public class AddOrderDtoValidator : AbstractValidator<AddOrderDto>
{
    public AddOrderDtoValidator()
    {
        RuleFor(d => d.Content).NotEmpty().WithMessage("请填写工单内容");

        #region 医疗服务中心受理单

        //RuleFor(d => d.OrderExtension.MedName).Length(0, 200).WithMessage("医院名称最多200字符");
        //RuleFor(d => d.OrderExtension.MedAddress).Length(0, 500).WithMessage("医院地址最多500字符");
        //RuleFor(d => d.OrderExtension.MedDepartment).Length(0, 100).WithMessage("科室最多200字符");
        //RuleFor(d => d.OrderExtension.MedDoctor).Length(0, 50).WithMessage("医生最多200字符");
        //RuleFor(d => d.OrderExtension.MedPatient).Length(0, 200).WithMessage("病人姓名最多200字符");
        //RuleFor(d => d.OrderExtension.MedNo).Length(0, 50).WithMessage("就诊卡号最多200字符");
        //RuleFor(d => d.OrderExtension.MedIdNo).Length(0, 50).WithMessage("身份证号最多200字符");
        #endregion

        //RuleFor(d => d.OrderExtension.ExchTv).Length(0, 200).WithMessage("医院名称最多200字符");
    }
}